org.apache.pdfbox.pdmodel.interactive.annotation

## Class PDAppearanceStream

- java.lang.Object
- - org.apache.pdfbox.pdmodel.graphics.PDXObject
  - - org.apache.pdfbox.pdmodel.graphics.form.PDFormXObject
    - - org.apache.pdfbox.pdmodel.interactive.annotation.PDAppearanceStream

All Implemented Interfaces:
  PDContentStream, COSObjectable

    public class PDAppearanceStream
    extends PDFormXObject

An appearance stream is a form XObject, a self-contained content stream that shall be rendered inside the annotation rectangle.

Author:
  Ben Litchfield, John Hewson

### Constructor Summary

Constructors
Constructor and Description
`PDAppearanceStream(COSStream stream)` Creates a Form XObject for reading.
`PDAppearanceStream(PDDocument document)` Creates a Form Image XObject for writing, in the given document.

### Method Summary

### Methods inherited from class org.apache.pdfbox.pdmodel.graphics.form.PDFormXObject

`getBBox, getContents, getContentStream, getFormType, getGroup, getMatrix, getOptionalContent, getResources, getStructParents, setBBox, setFormType, setGroup, setMatrix, setOptionalContent, setResources, setStructParents`

### Methods inherited from class org.apache.pdfbox.pdmodel.graphics.PDXObject

`createXObject, getCOSObject, getCOSStream, getPDStream, getStream`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PDAppearanceStream

    public PDAppearanceStream(COSStream stream)

Creates a Form XObject for reading.

Parameters:
  `stream` - The XObject stream

#### PDAppearanceStream

    public PDAppearanceStream(PDDocument document)

Creates a Form Image XObject for writing, in the given document.

Parameters:
  `document` - The current document